make xconfig无法使用

长平狐 发布于 2013/06/03 14:52
阅读 56
收藏 0
make xconfig无法使用
由于项目需要,需要移植linux-2.6.14版本的内核,PC机上的linux是Ubuntu11.04,在使用make xconfig编译内核时出现如下错误:
root@czu:~/桌面/socket/linux-2.6.14# make xconfig
  HOSTCXX scripts/kconfig/qconf.o
In file included from scripts/kconfig/qconf.cc:24:0:
scripts/kconfig/qconf.h:25:18: 错误: 有多余的限定‘ConfigSettings::’在成员‘readSizes’上 [-fpermissive]
scripts/kconfig/qconf.h:26:7: 错误: 有多余的限定‘ConfigSettings::’在成员‘writeSizes’上 [-fpermissive]
scripts/kconfig/qconf.h:127:7: 错误: 有多余的限定‘ConfigList::’在成员‘updateMenuList’上 [-fpermissive]
make[1]: *** [scripts/kconfig/qconf.o] 错误 1
make: *** [xconfig] 错误 2
已经安装了qt库,之前移植Linux-2.6.30.4版本内核时没有出现这样的错误,先用make menuconfig吧,以后有时间再深入研究,也顺边学习一下。


原文链接:http://blog.csdn.net/ce123/article/details/8333383
加载中
返回顶部
顶部